function report_fpmiss(result)
% report_fpmiss(result)
% Report false positives and misses
% Given a result, print a list of missed detections and false
% positives.
%
% See also:  dclde2015score 

% associations is an indicator matrix where rows correspond
% to ground truth detections and columns correspond to
% detections from a detection method that is to be tested.

% find ground truth detections that do not have any matches
misses = find(sum(result.associations, 2) == 0);
if ~ isempty(misses)
    fprintf('Missed detections\n');
    fprintf('%s\n', fmtdetections(result.truth, misses));
else
    fprintf('No missed detections\n');
end

% find detections that could not be associated to a ground truth
% detection
fpos = find(result.falsePosI);
if ~isempty(fpos)
    fprintf('False positives\n')
    fprintf('%s\n', fmtdetections(result.detections, fpos));
else
    fprintf('No false positives\n');
end
